Loading...
Searching...
No Matches
PUtilBase Class Referenceabstract

## Public Member Functions

| PUtilBase ()
virtual | ~PUtilBase ()
virtual PUtilBase * | copy () const =0
virtual CanonicalForm | getval () const =0
virtual int | getintval () const =0
virtual bool | isInt () const =0
virtual bool | isCF () const =0
virtual bool | isVar () const =0

## Detailed Description

Definition at line 15 of file parseutil.cc.

## Constructor & Destructor Documentation

## PUtilBase()

PUtilBase::PUtilBase | ( |  | ) |

inline

Definition at line 18 of file parseutil.cc.

{};

## ~PUtilBase()

virtual PUtilBase::~PUtilBase | ( |  | ) |

inline virtual

Definition at line 19 of file parseutil.cc.

{}

## Member Function Documentation

## copy()

virtual PUtilBase * PUtilBase::copy | ( |  | ) | const

pure virtual

Implemented in PUtilCF, PUtilInt, and PUtilVar.

## getintval()

virtual int PUtilBase::getintval | ( |  | ) | const

pure virtual

Implemented in PUtilCF, PUtilInt, and PUtilVar.

## getval()

virtual CanonicalForm PUtilBase::getval | ( |  | ) | const

pure virtual

Implemented in PUtilCF, PUtilInt, and PUtilVar.

## isCF()

virtual bool PUtilBase::isCF | ( |  | ) | const

pure virtual

Implemented in PUtilCF, PUtilInt, and PUtilVar.

## isInt()

virtual bool PUtilBase::isInt | ( |  | ) | const

pure virtual

Implemented in PUtilCF, PUtilInt, and PUtilVar.

## isVar()

virtual bool PUtilBase::isVar | ( |  | ) | const

pure virtual

Implemented in PUtilCF, PUtilInt, and PUtilVar.

The documentation for this class was generated from the following file:

- factory/parseutil.cc